mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Modules | Macros | Typedefs
Sound Card API - Manage audio capture/play filters
Mediastreamer2's base APIs

Sound Card API to manage audio capture/play filters. More...

## Modules
| Sound Card Manager API
| Sound Card Filter API

## Macros
#define | MS_SND_CARD_CAP_DISABLED (0)
#define | MS_SND_CARD_CAP_CAPTURE (1)
#define | MS_SND_CARD_CAP_PLAYBACK (1<<1)
#define | MS_SND_CARD_CAP_BUILTIN_ECHO_CANCELLER (1<<2)
#define | MS_SND_CARD_CAP_IS_SLOW (1<<3)

## Typedefs
typedef struct _MSSndCardManager | MSSndCardManager
typedef enum _MSSndCardMixerElem | MSSndCardMixerElem
typedef enum _MSSndCardCapture | MSSndCardCapture
typedef enum _MSSndCardControlElem | MSSndCardControlElem
typedef struct _MSSndCardDesc | MSSndCardDesc
typedef struct _MSSndCard | MSSndCard

## Detailed Description

Sound Card API to manage audio capture/play filters.

## Macro Definition Documentation

#define MS_SND_CARD_CAP_DISABLED (0)

This soundcard is disabled.

#define MS_SND_CARD_CAP_CAPTURE (1)

This sound card can capture sound

#define MS_SND_CARD_CAP_PLAYBACK (1<<1)

This sound card can playback sound

#define MS_SND_CARD_CAP_BUILTIN_ECHO_CANCELLER (1<<2)

This sound card has built-in echo cancellation

#define MS_SND_CARD_CAP_IS_SLOW (1<<3)

This sound card is very slow to start

## Typedef Documentation

MSSndCardManager

Structure for sound card manager object.

MSSndCardMixerElem

Structure for sound card mixer values.

MSSndCardCapture

Structure for sound card capture source values.

MSSndCardControlElem

Structure for sound card mixer values.

MSSndCardDesc

Structure for sound card description object.

MSSndCard

Structure for sound card object.